Bug 529433 - Update to 2.4.1, 2.9.0
Summary: Update to 2.4.1, 2.9.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lucene
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 529441
TreeView+ depends on / blocked
 
Reported: 2009-10-16 19:55 UTC by Orion Poplawski
Modified: 2010-10-01 21:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-01 21:55:31 UTC
Type: ---


Attachments (Terms of Use)

Description Orion Poplawski 2009-10-16 19:55:30 UTC
Description of problem:

Could we get updates to 2.4.1 in F12 and maybe 2.9.0 in F13?  I've got a 2.4.1 package ready to go.  2.9.0 still has compile errors (looks like it needs common-compress 1.0).

I'm trying to package apache pdfbox, but it requires 2.4.1 to build.

Comment 1 Orion Poplawski 2009-10-16 20:14:10 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=1750630

I can check it in and build if that is okay.

Comment 2 Orion Poplawski 2009-10-19 20:55:54 UTC
Looks like gcj does not support Pattern.LITERAL, so 2.9.0 would have to drop gcj support at the moment.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1755404

Comment 3 Orion Poplawski 2009-11-07 15:58:44 UTC
Looks like 2.9.1 just got released.  I'm happy to check in and build whatever versions seem appropriate.

Comment 4 Bug Zapper 2009-11-16 13:46:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Orcan Ogetbil 2009-11-26 09:06:02 UTC
ping? please update!

Comment 6 Orion Poplawski 2009-12-01 16:08:16 UTC
I've updated rawhide to 2.4.1.  If anything else needs updated or someone wants rawhide to go to 3.0.0, post the reasons here.

Comment 7 Orcan Ogetbil 2009-12-02 02:34:28 UTC
I just have one question: Why only rawhide?

Comment 8 Orion Poplawski 2009-12-02 03:28:25 UTC
I tend to be pretty conservative with updates to releases.  Especially packages I don't own :-).  If there is strong reasons to push to F12 (or even F11), I'm all ears.  For the stuff I've been working on, there is still a lot more packaging work to be done, so rawhide is sufficient.  Would be nice if Deepak could put in his opinion.

Comment 9 Alexander Kurtakov 2010-02-10 13:55:03 UTC
Please don't push new lucene version to released version unless you test that search in Eclipse Help Center is still working with the new lucene version.


Note You need to log in before you can comment on or make changes to this bug.